Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search
Interface FullTextSession

All Superinterfaces:
  Serializable, org.hibernate.Session

All Known Implementing Classes:
  FullTextSessionImpl

    public interface FullTextSession

extends org.hibernate.classic.Session

Extends the Hibernate `Session` with Full text search and indexing capabilities

Author:
  Emmanuel Bernard

Method Summary
`org.hibernate.Query` | `createFullTextQuery(org.apache.lucene.search.Query luceneQuery, Class... entities)` Create a Query on top of a native Lucene Query returning the matching objects of type `entities` and their respective subclasses.
`void` | `index(Object entity)` Force the (re)indexing of a given managed object.

Methods inherited from interface org.hibernate.classic.Session
`createSQLQuery, createSQLQuery, delete, delete, delete, filter, filter, filter, find, find, find, iterate, iterate, iterate, save, save, saveOrUpdateCopy, saveOrUpdateCopy, saveOrUpdateCopy, saveOrUpdateCopy, update, update`

Methods inherited from interface org.hibernate.Session
`beginTransaction, cancelQuery, clear, close, connection, contains, createCriteria, createCriteria, createCriteria, createCriteria, createFilter, createQuery, createSQLQuery, delete, delete, disableFilter, disconnect, enableFilter, evict, flush, get, get, get, get, getCacheMode, getCurrentLockMode, getEnabledFilter, getEntityMode, getEntityName, getFlushMode, getIdentifier, getNamedQuery, getSession, getSessionFactory, getStatistics, getTransaction, isConnected, isDirty, isOpen, load, load, load, load, load, lock, lock, merge, merge, persist, persist, reconnect, reconnect, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, setCacheMode, setFlushMode, setReadOnly, update, update`

Method Detail

### createFullTextQuery

    org.hibernate.Query createFullTextQuery(org.apache.lucene.search.Query luceneQuery,
                                            Class... entities)

  Create a Query on top of a native Lucene Query returning the matching objects of type `entities` and their respective subclasses. If no entity is provided, no type filtering is done.

### index

    void index(Object entity)

  Force the (re)indexing of a given managed object. Indexation is batched per transaction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD